DeluxHostAPI Reference
Notifications

Mark all notifications as read

POST
/v1/notifications/read-all

Authorization

apiToken notifications:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: notifications:write

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
ok*boolean
curl -X POST 'https://api.deluxhost.net/v1/notifications/read-all' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "ok": true}